CREATE TABLE msc_coll_cycle_status (
    INSTANCE_ID                  NUMBER(18, 0) ,
    ENTITY_LIST                  VARCHAR2(4000),
    ESS_COLL_JOB_SET_REQ_ID      NUMBER(18, 0) ,
    ESS_CREATE_TREES_REQ_ID      NUMBER(18, 0) ,
    ESS_AGGR_COLL_PLAN_REQ_ID    NUMBER        ,
    INSTANCE_CODE                VARCHAR2(480) ,
    REFRESH_NUMBER               NUMBER(18, 0) ,
    PROC_PHASE                   VARCHAR2(128)     NOT NULL,
    STATUS                       VARCHAR2(128)     NOT NULL,
    COLLECTION_CHANNEL           VARCHAR2(128)     NOT NULL,
    COLLECTION_MODE              VARCHAR2(128)     NOT NULL,
    ORG_ID_LIST                  VARCHAR2(4000),
    PIM_ORG_ID_LIST              VARCHAR2(4000),
    CATEGORY_SET_NAME_LIST       VARCHAR2(4000),
    CONVERSION_RATE_TYPE_LIST    VARCHAR2(4000),
    PRICE_LIST                   VARCHAR2(4000),
    ORDER_TYPE_LIST              VARCHAR2(4000),
    CUSTOMER_CLASS_CODE_LIST     VARCHAR2(4000),
    COUNTRY_CODE_LIST            VARCHAR2(4000),
    START_TIME                   TIMESTAMP(6)  ,
    START_SCN                    NUMBER(18, 0) ,
    LOAD_START_SCN               NUMBER(18, 0) ,
    END_TIME                     TIMESTAMP(6)  ,
    INPUT_GROUP_ID               NUMBER        ,
    END_SCN                      NUMBER(18, 0) ,
    ENTITIES_EXPECTED            NUMBER        ,
    ENTITIES_PROCESSED           NUMBER        ,
    RECORDS_PROCESSED            NUMBER        ,
    DELAYED_RECORDS              NUMBER        ,
    ERROR_RECORDS                NUMBER        ,
    SKIPPED_RECORDS              NUMBER        ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CYCLE_SUMMARY                CLOB          ,
    TIME_SUMMARY                 CLOB          ,
    SALES_ORG_HIERARCHY          VARCHAR2(4000),
    ESS_FLATFILE_LOAD_REQ_ID     NUMBER(18, 0) ,
    ORG_GROUP                    VARCHAR2(120) ,
    ESS_SCC_FLATFILE_REQ_IDS     VARCHAR2(4000),
    CSV_ORG_SPECIFIC_COLL        NUMBER        ,
    SHIP_CATEGORY_NAME_LIST      VARCHAR2(4000),
    RETAIN_FCST_BY_DESIGNATOR    NUMBER        ,
    MULTIPLE_CSV_UPLOADS_FLAG    NUMBER        ,
    JOB_QUEUE_AVAIL_THREADS      NUMBER        ,
    INSTANCE_ID                  NUMBER(18, 0) ,
    INSTANCE_CODE                VARCHAR2(480) ,
    REFRESH_NUMBER               NUMBER(18, 0) ,
    PROC_PHASE                   VARCHAR2(128)     NOT NULL,
    STATUS                       VARCHAR2(128)     NOT NULL,
    COLLECTION_CHANNEL           VARCHAR2(128)     NOT NULL,
    COLLECTION_MODE              VARCHAR2(128)     NOT NULL,
    ORG_ID_LIST                  VARCHAR2(4000),
    START_TIME                   TIMESTAMP(6)  ,
    START_SCN                    NUMBER(18, 0) ,
    END_TIME                     TIMESTAMP(6)  ,
    INPUT_GROUP_ID               NUMBER        ,
    END_SCN                      NUMBER(18, 0) ,
    ENTITIES_EXPECTED            NUMBER        ,
    ENTITIES_PROCESSED           NUMBER        ,
    RECORDS_PROCESSED            NUMBER        ,
    DELAYED_RECORDS              NUMBER        ,
    ERROR_RECORDS                NUMBER        ,
    SKIPPED_RECORDS              NUMBER        ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ENTITY_LIST                  VARCHAR2(4000),
    ESS_COLL_JOB_SET_REQ_ID      NUMBER(18, 0) ,
    PIM_ORG_ID_LIST              VARCHAR2(4000),
    LOAD_START_SCN               NUMBER(18, 0) ,
    CATEGORY_SET_NAME_LIST       VARCHAR2(4000),
    CONVERSION_RATE_TYPE_LIST    VARCHAR2(4000),
    PRICE_LIST                   VARCHAR2(4000),
    ORDER_TYPE_LIST              VARCHAR2(4000),
    CUSTOMER_CLASS_CODE_LIST     VARCHAR2(4000),
    COUNTRY_CODE_LIST            VARCHAR2(4000),
    CYCLE_SUMMARY                CLOB          ,
    TIME_SUMMARY                 CLOB          ,
    SALES_ORG_HIERARCHY          VARCHAR2(4000),
    ESS_FLATFILE_LOAD_REQ_ID     NUMBER(18, 0) ,
    ORG_GROUP                    VARCHAR2(120) ,
    ESS_SCC_FLATFILE_REQ_IDS     VARCHAR2(4000),
    CSV_ORG_SPECIFIC_COLL        NUMBER        ,
    ESS_CREATE_TREES_REQ_ID      NUMBER(18, 0) ,
    SHIP_CATEGORY_NAME_LIST      VARCHAR2(4000),
    RETAIN_FCST_BY_DESIGNATOR    NUMBER        ,
    ESS_AGGR_COLL_PLAN_REQ_ID    NUMBER        ,
    MULTIPLE_CSV_UPLOADS_FLAG    NUMBER        ,
    JOB_QUEUE_AVAIL_THREADS      NUMBER        ,
    CONSTRAINT pk_msc_coll_cycle_status PRIMARY KEY (INSTANCE_ID, REFRESH_NUMBER, INSTANCE_ID, REFRESH_NUMBER)
);
